@font-face {
    font-family: "ExpoArabic";
    /* src: url("../fonts/Montserrat-Arabic-Regular.ttf") format("truetype"); */
    src: url("../fonts/ExpoArabic-Book.ttf") format("truetype");
}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
    text-decoration: none !important;
    /* list-style: none; */
    font-family: "ExpoArabic", sans-serif !important;
}

*::selection {
    background-color: var(--accent-500);
    color: var(--text-100);
}

/* html scrollbar */
::-webkit-scrollbar {
    width: 5px;
}

::-webkit-scrollbar-track {
    background: var(--bg-100);
}

::-webkit-scrollbar-thumb {
    background: var(--accent-500);
    border-radius: 10px;
}

:root {
    --swiper: #f9f4ef;
    --bg: #ffffff;
    --bg-100: #f9f8f5;
    --bg-200: #f3f3f3;
    --bg-300: #f5eee6;
    --bg-400: #f6f2e9;
    --bg-500: #0e3b6f;
    --bg-600: #106a91;
    --bg-700: #faf9f5;
    --bg-800: #ebebeb;
    --bg-900: #f2f2f2;
    --bg-1000: #f5eee6;
    --accent-100: #f9f9f9;
    --accent-200: #ca9703;
    --accent-300: #0e3b6f;
    --accent-400: #d9d9d9;
    --accent-500: #d5ad36;
    --accent-600: #106a91;
    --accent-700: #4588bf;
    --accent-800: #f6f2e9;
    --accent-900: #a3862f;
    --accent-1000: #ffcb31;
    --text-100: #ffffff;
    --text-200: #f3f3f3;
    --text-300: #3e3a35;
    --text-400: #d9d9d9;
    --text-500: #c9c9c9;
    --text-600: #106a91;
    --text-700: #c6bb9a;
    --text-800: #3f3a35;
    --text-900: #a3997d;
    --text-1000: #002d56;
    --text-1100: #ca9703;
    --secondary: #e7b92f;
    --transition: all 0.3s ease-in;
    --shadow: #d5ad362c;
}

body {
    background-color: var(--bg-100) !important;
    color: var(--text-300);
}

/* header */
header {
    font-size: 0.8rem;
}

header nav {
    border: 1px solid var(--accent-400);
    border-radius: 10px;
}

header nav ul {
    padding: 0.9rem 0.8rem;
}
header nav ul li a,
.offcanvas-body.offcanvas_menu a {
    color: var(--text-300);
    padding: 0.8rem 1rem;
    font-weight: 500 !important;
}

header nav ul li a:hover,
header .btn_login:hover,
.offcanvas-body.offcanvas_menu a:hover {
    color: var(--accent-500);
    background-color: var(--bg-400);
    border-radius: 5px;
}

header .btn_login {
    border: 1px solid var(--accent-400);
    border-radius: 10px;
    color: var(--text-300);
    padding: 0.8rem 1.5rem;
}

header .active,
.offcanvas-body.offcanvas_menu .active {
    color: var(--accent-500);
    background-color: var(--bg-400);
    border-radius: 5px;
}

.offcanvas-body.offcanvas_menu ul li,
.offcanvas-body.offcanvas_menu ul li a {
    width: 100%;
    display: block;
}

.menu_icon_list {
    border: 1px solid var(--accent-400);
    border-radius: 10px;
}

.offcanvas.offcanvas-start {
    --bs-offcanvas-width: 350px;
}

.m-inheirt {
    margin: inherit !important;
}

.cursor-pointer {
    cursor: pointer;
}

.text-primary {
    color: var(--accent-500) !important;
}

.text-color {
    color: var(--text-300) !important;
}

.text-color-2 {
    color: var(--text-700);
}

.text-color-3 {
    color: var(--text-800);
}

.text-color-4 {
    color: var(--text-900);
}

.text-color-5 {
    color: var(--text-800);
}

.text-color-6 {
    color: var(--text-1000);
}

.text-color-8 {
    color: #583e03;
}

.card.card_services {
    border-radius: 20px;
}

.card.card_services a {
    border: 1px solid var(--accent-400);
    color: var(--text-300);
    padding: 0.8rem 1rem;
    font-weight: 500 !important;
    border-radius: 10px;
}

.card.card_services a:hover {
    color: var(--accent-500);
    background-color: var(--bg-400);
}

.text-ellipsed {
    /* 2 line */
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}

text-ellipsed-1 {
    /* 1 line */
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
}

.text-ellipsed-3 {
    /* 3 line */
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
}

.card_certificate a {
    background-color: #d6e3ff !important;
    color: #1c64f2 !important;
    border-radius: 10px;
}

.card_certificate a:hover {
    background-color: #1c64f2 !important;
    color: #d6e3ff !important;
}

.bg_calendar {
    background-color: var(--bg-700);
    border-radius: 10px !important;
}
.bg_month {
    background-color: var(--text-700);
    border-radius: 10px 10px 0 0;
}

.arrow_news {
    color: var(--text-300);
    background-color: var(--bg-800);
    min-width: 50px;
    height: 50px;
}

.link_new_effect {
    transition: var(--transition);
}

.link_new_effect:hover {
    background-color: var(--bg-800) !important;
    border-radius: 10px;
}

.box {
    border-radius: 10px;
    width: 50px;
    height: 50px;
    transform: rotate(20deg);
    z-index: -1;
    position: absolute;
}

.box.box-blue {
    background-color: var(--accent-500);
    right: -5px;
    top: 10px;
}

.box.box-green-certificate {
    background-color: var(--accent-600);
    left: 0;
    bottom: -5px;
}

.box-yellow,
.box-green {
    z-index: 1;
}

.box-yellow::before {
    content: "";
    position: absolute;
    width: 50px;
    height: 50px;
    background-color: #f6eea1;
    border-radius: 10px;
    z-index: -1;
    top: -5px;
    transform: rotate(20deg);
    margin-right: -20px;
}

.box-green::before {
    content: "";
    position: absolute;
    width: 50px;
    height: 50px;
    background-color: #d0edcf;
    border-radius: 10px;
    z-index: -1;
    top: -5px;
    transform: rotate(20deg);
    margin-right: -20px;
}

.card_statistics,
.card_statistics_home {
    border-radius: 24px;
    transition: var(--transition);
    color: var(--text-800);
}

.card_statistics {
    background-color: var(--bg-900);
}

.card_statistics_home {
    background-color: var(--bg);
    transition: var(--transition);
}

.card_statistics:hover {
    transform: translateY(-5px);
    background-color: var(--text-800);
}

.card_statistics_home:hover {
    transition: var(--transition);
    transform: translateY(-5px);
    /* background-color: var(--bg-200); */
    background: linear-gradient(
        40deg,
        #5e576f,
        #7d7591d8,
        rgba(213, 173, 54, 0.856),
        #d5ad36,
        #d5ad36
    );
    color: var(--text-100);
}

.card_statistics_home:hover .card_statistics_home .lemon_effect {
    transform: scale(2);
    mix-blend-mode: lighten;
}

.card_statistics_home:hover .card-body .img_statistics {
    border-radius: 5px;
    transform: scale(1.1) !important;
    background-color: #ffffff90 !important;
    transition: var(--transition);
    padding: 5px;
}

.card_statistics:hover .card-body,
.card_statistics:hover .card-body span,
.card_statistics_home:hover .card-body .display-5.text-color-3 {
    color: var(--text-100);
}

.card_statistics_home .card-body .display-5.text-color-3 {
    color: var(--text-1100);
}

/* lemon_effect filter Luminosity */
.lemon_effect {
    mix-blend-mode: luminosity;
}

.shadow_video_effect {
    box-shadow: inset 0 0 150px 0 #106a913c;
}

.rounded-6 {
    border-radius: 30px;
}

.main_frame_img {
    max-height: 450px;
    object-fit: cover;
    filter: brightness(0.7);
}

.text-line {
    line-height: 2;
}

.logo_rajhi {
    min-width: 268px;
}

.bg_logo_about_img {
    /* bg image */
    background-image: url("../images/bg_logo_about_img.png");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    opacity: 0.15;
}

ul {
    list-style: none;
}

/* style_about */
.style_about {
    list-style: url("../images/star_bg.png") !important;
}

.quraan_img {
    max-height: 300px;
    object-fit: cover;
    object-position: right;
}

.card_login {
    background-color: var(--bg-900);
    border: 1px solid var(--text-100);
    border-radius: 20px;
}

.card_accordition .accordion {
    --bs-accordion-active-bg: none !important;
    --bs-accordion-btn-focus-box-shadow: none !important;
}

.card_accordition .accordion-button {
    background-color: none !important;
    border: none !important;
    border-bottom: 1px solid var(--accent-400) !important;
}

.card_accordition .accordion-button:not(.collapsed) {
    background: none !important;
    box-shadow: none !important;
}

.card_accordition .accordion-button::after {
    margin-right: auto !important;
    margin-left: 0 !important;
}

.card_accordition .accordion-item {
    border: none !important;
}

.card_accordition .border-top-0 {
    border-top: none !important;
}

.card_accordition .border-bottom-0 {
    border-bottom: none !important;
}

.card_accordition .border-right-0 {
    border-right: none !important;
}

.card_accordition .border-left-0 {
    border-left: none !important;
}

.card_accordition .accordion-collapse {
    border: none !important;
}

/* home */
.bg_home {
    background: linear-gradient(rgba(125, 125, 125, 0.75), rgb(144, 144, 144)),
        url("../images/bg_home.webp") no-repeat center center/cover;
    width: 100%;
    height: 100%;
    background-attachment: fixed;
    position: fixed;
    top: 0;
    left: 0;
    z-index: -1;
    backdrop-filter: blur(1px);
    -webkit-backdrop-filter: blur(1px);
}

.card_home_services {
    background-color: var(--accent-300);
}

.transform_y_50 {
    transform: translateY(-80px);
}

.card_services_home {
    transition: var(--transition);
    background-color: var(--bg-200);
    overflow: hidden;
}

.card_services_home .img_quraan_card {
    width: 100px;
    height: auto;
    transform: rotate(70deg) translateY(50px) translateX(-200px);
    transition: var(--transition);
}

.card_services_home:hover .img_quraan_card {
    transform: rotate(100deg) scale(1.1) translateY(30px) translateX(-80px);
}

.card_services_home:hover .fs-3.text-color-5.fw-semibold {
    color: var(--accent-700) !important;
    transition: var(--transition);
}

.card_services_home:hover .img_card {
    box-shadow: 0 1px 6px rgba(0, 0, 0, 0.1);
}

.card_services_home:hover {
    transition: var(--transition);
    background: linear-gradient(
        10deg,
        var(--bg-200) 0% 50%,
        hsl(45, 70%, 71%) 100% 100%
    );
}

.card_services_home .img_card {
    width: 140px;
    height: 130px;
}

.card_services_home a {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 10px 20px; /* Adjust for better spacing */
    text-decoration: none; /* Ensure no underline */
    border: 1px solid var(--accent-400);
    color: var(--text-100);
    background-color: var(--bg-500);
    padding: 0.8rem 1rem;
    border-radius: 10px;
    transition: var(--transition);
    position: relative;
}

.card_services_home a .know_more {
    margin-right: 10px; /* Default spacing between text and arrow */
}

.card_services_home a:hover {
    background-color: var(--secondary);
    border-radius: 50px;
}

.card_services_home a:hover .know_more {
    transform: translateX(10px); /* Moves text slightly */
    margin-right: 0px;
}
.card_services_home .arrow {
    transform: translateX(0); /* Moves arrow slightly */
    transition: var(--transition);
}
.card_services_home a:hover .arrow {
    transform: translateX(-10px); /* Moves arrow slightly */
    background-color: var(--accent-300); /* Changes background */
    color: var(--text-100); /* Changes color */
    width: 40px; /* Adjust width */
    height: 40px; /* Adjust height */
    border-radius: 50%; /* Makes it a circle */
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    left: 15px;
    top: 5px;
}

.card_home_phone {
    background-color: var(--accent-500);
}

.card_home_phone .arrow_effect {
    /* blend mode */
    mix-blend-mode: multiply;
}

.bg_manasa {
    background-color: var(--bg-1000);
}

.text-gradiant {
    background: -webkit-linear-gradient(var(--accent-1000), var(--accent-900));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}
/* pagination */
.pagination {
    border: 1px solid var(--accent-400);
    border-radius: 10px;
    padding: 0.5rem 0;
    --bs-pagination-color: var(--text-300);
    --bs-pagination-hover-color: var(--accent-500);
    --bs-pagination-focus-color: var(--accent-500);
    --bs-pagination-active-bg: var(--bg-400);
    --bs-pagination-active-border-color: var(--accent-500);
    --bs-pagination-focus-bg: var(--bg-400);
    --bs-pagination-border-color: var(--accent-400);
    --bs-pagination-focus-box-shadow: 0 0 0 0.25rem var(--shadow);
    gap: 0.3rem;
}

.pagination li .page-link {
    background: transparent !important;
    color: var(--text-300) !important;
    border: none !important;
    padding: 0.3rem 1rem;
    border-radius: 5px;
    font-size: small !important;
}

.pagination li .page-link:hover {
    color: var(--accent-500) !important;
    background-color: var(--bg-400) !important;
    border-radius: 5px;
}

.pagination .active .page-link {
    color: var(--accent-500) !important;
    background-color: var(--bg-400) !important;
    border-radius: 5px;
    font-size: small !important;
}

/* footer */
footer {
    background-color: var(--accent-500);
    border-radius: 25px;
}

footer .rate,
footer .subscribe_bg {
    background-color: #f6f2e980;
    border-radius: 10px;
}

footer .btn-outline-primary {
    border: 1px solid var(--accent-200);
    color: var(--accent-200);
    border-radius: 10px;
    height: 50px;
    --bs-btn-hover-border-color: var(--accent-200) !important;
    --bs-btn-active-bg: var(--accent-200) !important;
    --bs-btn-active-border-color: var(--accent-200) !important;
}

.btn-outline-primary:hover,
.btn-outline-primary:focus {
    background-color: var(--accent-200);
    color: var(--text-100);
    border: 1px solid var(--accent-200);
}

.btn-primary {
    background-color: var(--accent-700);
    color: var(--text-100);
    border-radius: 10px;
    border: 1px solid var(--accent-700);
    height: 50px;
    --bs-btn-bg: var(--accent-700) !important;
    --bs-btn-hover-border-color: var(--accent-600) !important;
    --bs-btn-active-bg: var(--accent-600) !important;
    --bs-btn-active-border-color: var(--accent-600) !important;
}

.btn-primary:hover,
.btn-primary:focus {
    background-color: var(--accent-600);
    color: var(--text-100);
    border: 1px solid var(--accent-600);
}

.btn-custom {
    background-color: var(--accent-200);
    color: var(--text-100);
    border-radius: 10px;
    border: 1px solid var(--accent-200);
    height: 50px;
    --bs-btn-bg: var(--accent-200) !important;
    --bs-btn-hover-border-color: var(--accent-200) !important;
    --bs-btn-active-bg: var(--accent-200) !important;
    --bs-btn-active-border-color: var(--accent-200) !important;
    margin-top: -35px;
    margin-right: -30px;
}

.btn-custom:hover,
.btn-custom:focus {
    background-color: var(--accent-200);
    color: var(--text-100);
    border: 1px solid var(--accent-200);
}

footer .form-control {
    height: 56px;
    border: none !important;
}

/* placeholder */
footer .form-control::placeholder {
    color: var(--text-300);
    opacity: 0.7;
}

/* swipper */
.swiper.swiper_manasa_news {
    width: 100%;
    /* height: 100%; */
    padding: 0rem 1rem 5rem 1rem;
}

.swiper.swiper_manasa_news .swiper-wrapper {
    height: auto;
    align-items: center;
}

.swiper.swiper_manasa_news .swiper-slide {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
}

.swiper.swiper_manasa_news .swiper-slide img {
    width: 100%;
    height: 250px !important;
    object-fit: contain;
}

/* .swiper.swiper_manasa_news .swiper-slide:first-child img {
  height: 300px !important;
} */

.swiper.swiper_manasa_news .swiper-pagination-bullet-active {
    background-color: var(--text-900) !important;
}

.swiper.swiper_manasa_news .swiper-button-next,
.swiper.swiper_manasa_news .swiper-button-prev {
    color: var(--text-900) !important;
    background-color: var(--swiper) !important;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: small !important;
    border: 0.1px solid var(--text-400) !important;
}

.swiper.swiper_manasa_news .swiper-button-next:after,
.swiper.swiper_manasa_news .swiper-button-prev:after {
    font-size: 12px !important;
}

.swiper-button-next,
.swiper-button-prev {
    bottom: 20px !important;
    top: calc(100% - 20px) !important;
    vertical-align: middle !important;
}

/* swiper_full */
.swiper.swiper_full {
    width: 100%;
    /* height: 100%; */
    padding: 0rem 0rem 4rem 0rem;
}

.swiper.swiper_full .swiper-wrapper {
    height: auto;
    align-items: center;
}

/* .swiper.swiper_full .swiper-slide {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
} */

/* .swiper.swiper_full .swiper-slide img { */
/* display: block; */
/* width: 100%; */
/* max-height: 250px !important; */
/* object-fit: cover; */
/* } */

.swiper.swiper_full .swiper-pagination-bullet-active {
    background-color: var(--text-900) !important;
}

.swiper.swiper_full .swiper-button-next,
.swiper.swiper_full .swiper-button-prev {
    color: var(--text-900) !important;
    background-color: var(--bg-400) !important;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: small !important;
    border: 0.1px solid var(--text-400) !important;
}

.swiper.swiper_full .swiper-button-prev,
.swiper.swiper_full .swiper-rtl .swiper-button-next {
    left: calc(50% + 50px) !important;
    right: auto !important;
}

.swiper.swiper_full .swiper-button-next,
.swiper.swiper_full .swiper-rtl .swiper-button-prev {
    right: calc(50% + 50px) !important;
    left: auto !important;
}

.swiper.swiper_full .swiper-button-next:after,
.swiper.swiper_full .swiper-button-prev:after {
    font-size: 12px !important;
}

.swiper-button-next,
.swiper-button-prev {
    bottom: 20px !important;
    top: calc(100% - 20px) !important;
    vertical-align: middle !important;
}

.bg_benefits {
    background: linear-gradient(rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.2)),
        url("../images/bg_benefits.jpg") no-repeat center center/cover;
}

.bg_benefits .bg-swiper {
    background-color: #9d948a85;
    border-radius: 20px;
    /* blur */
    backdrop-filter: blur(1px);
    -webkit-backdrop-filter: blur(1px);
}

.swiper.swiper_benefits {
    width: 100%;
    /* padding: 2rem; */
    padding: 2rem .7rem 2rem 0;
}

.swiper.swiper_benefits .swiper-wrapper {
    height: auto;
    align-items: center;
}

.swiper.swiper_benefits .swiper-slide {
    height: 100%;
    width: 100%;
}

.swiper.swiper_benefits .swiper-slide img {
    display: block;
    width: 100px;
}

/* swiper_watermark */
.swiper.swiper_watermark {
    width: 100%;
    padding: 1rem 0;
}

.swiper.swiper_watermark .swiper-wrapper {
    height: auto;
    align-items: center;
}

.swiper.swiper_watermark .swiper-slide {
    height: 100%;
    width: 100%;
}

.swiper.swiper_watermark .swiper-slide img {
    display: block;
    width: 100px;
}

#main-video {
    height: 600px;
    width: 100%;
}

.small-video {
    height: 250px;
    width: 100%;
    max-width: 350px;
    object-fit: cover;
}

.preloader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 9999;
    display: flex;
    justify-content: center;
    align-items: center;
    background: rgba(255, 255, 255, 0.2);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
}

/* Base styling for elements with the bx-* class */
[class^="bx-"],
[class*=" bx-"] {
    color: #fff;
    padding: 10px;
    border-radius: 4px;
    text-align: center;
    display: inline-block;
    font-weight: bold;
}

/* Colors */
.bx-blue {
    background-color: #2196f3;
}

.bx-red {
    background-color: #f44336;
}

.bx-purple {
    background-color: #9c27b0;
}

.bx-orange {
    background-color: #ff9800;
}

.bx-pink {
    background-color: #e91e63;
}

.bx-teal {
    background-color: #009688;
}

.bx-cyan {
    background-color: #00bcd4;
}

.bx-indigo {
    background-color: #3f51b5;
}

.bx-lime {
    background-color: #cddc39;
}

.bx-amber {
    background-color: #ffc107;
}

.bx-light-blue {
    background-color: #03a9f4;
}

.bx-deep-orange {
    background-color: #ff5722;
}

.bx-light-green {
    background-color: #8bc34a;
}

.bx-deep-purple {
    background-color: #673ab7;
}

.bx-brown {
    background-color: #795548;
}

.bx-blue-grey {
    background-color: #607d8b;
}

.bx-grey {
    background-color: #9e9e9e;
}

.bx-black {
    background-color: #000000;
}

.blog_img {
    height: 550px;
    object-fit: contain !important;
}

.blogs_img {
    height: 350px;
    border-radius: 30px !important;
    object-fit: contain !important;
}

.object-fit-contain {
    object-fit: contain !important;
}

.card_social {
    max-width: 280px !important;
}

footer .text-link-footer {
    color: #084a65 !important;
}

.img_statistics {
    width: 40px;
    height: 40px;
    object-fit: contain;
}

.bg_swiper_card {
    background: url("../images/slide2.png") no-repeat center !important;
    border-radius: 5px !important;
    width: 100% !important;
    height: 100%;
    background-size: cover !important;
}

.img_card_elaan {
    width: 100px !important;
    height: 100px !important;
    object-fit: contain;
}


.btn-custom{
    margin-bottom: -25px !important;
    margin-right: -15px !important;
}

.sticky_custom_btn{
    position: sticky !important;
    z-index: 99 !important;
    top: 90vh !important;
}
